package cn.datax.service.data.metadata.service;

import cn.datax.service.data.metadata.api.entity.DataMetadataTableEntity;
import cn.datax.service.data.metadata.api.dto.DataMetadataTableDto;
import cn.datax.common.base.BaseService;

import java.util.List;

/**
 * <p>
 * 数据库表信息表 服务类
 * </p>
 *
 * @author yuwei
 * @since 2020-07-29
 */
public interface DataMetadataTableService extends BaseService<DataMetadataTableEntity> {

    DataMetadataTableEntity saveDataMetadataTable(DataMetadataTableDto dataMetadataTable);

    DataMetadataTableEntity updateDataMetadataTable(DataMetadataTableDto dataMetadataTable);

    DataMetadataTableEntity getDataMetadataTableById(String id);

    void deleteDataMetadataTableById(String id);

    void deleteDataMetadataTableBatch(List<String> ids);
}
